# Personal-site README

To get a pretty version of this document, run

    $ markdown README > README.html

## License

See LICENSE file.

## Authors

See AUTHORS file.

## Dependencies

- python
- python-virtualenv

## Python dependencies

More detail in `requirements.txt` and `requirements_prod.txt`; it is best to
use virtualenv and pip to handle these. But if you insist on (Arch GNU/Linux)
packages, you will probably want the following:

- django
- python-markdown
- python-memcached

## Testing Installation

1. Clone personal-site

        $ git clone https://git.sr.ht/~heckyel/personal-site

2. Run `virtualenv`.

        $ cd personal-site && virtualenv ./venv/

3. Activate the virtualenv.

        $ source ./venv/bin/activate

4. Install dependencies through `pip`.

        $ pip install -r django/requirements.txt

5. Copy `settings.py.example` to `settings.py` and modify.
   Make sure to uncomment the appropriate database section (either sqlite or
   PostgreSQL).

        $ cp -v django/personalsite/settings.py.example django/personalsite/settings.py

6. Check syntax.

        $ python django/manage.py check --deploy

7. Migrate changes.

        $ python django/manage.py migrate

8. Create superUSER

        $ python django/manage.py createsuperuser

9. Use the following commands to start a service instance

        $ python django/manage.py runserver

## Production Installation

The [HACKING.md](HACKING.md) file helps the deployment in production
